@import "variables";

///////////// general styles /////////////
.container.main{
  margin: 0 auto;
}

section {
  // margin: -6px 3px 6px;
  margin: 0 auto;
  width: 95%;
  height: 100%;
  background-color: $section-color;
}
section>h2 {
  @extend .header-shadow;
  position: relative;
  font-size: 28px;
  padding: 0.3%;
  width: 100%;
  width: 100%;
  margin-top: 0;
  margin-bottom: 0;
  color: white;
  height: 1.3em;
  display: flex;
  align-items: flex-end;
  justify-content: space-between;
}
.header_section_name {
  width: 40%;
}

.input_row {
  display: flex;
  flex-direction: row;
  align-items: center;
  & div{
    margin-right: 1em;
  }
}

input[type=number]{
  text-align: right;
}

.disabled{
  // font-color: transparentize(black, 0.62);
  background-color: $cell_border-color;
  border:none;
}

.btn--select_all {
  display: inline-block;
  // color: black;
  // background-color: white;
  // font-size: 11pt;
  // margin-left: 0;
  // border-radius: 5pt;
  // margin-bottom: 1em;
  // @extend .light-box-shadow;
  // // border-color: $cell_border-color;
  // // width: 12em;
  // &:hover {
  //   @extend .lighter-box-shadow;
  //   background-color: lighten($select_stroke-color,10%);
  // }
  // &:active {
  //   box-shadow: 0;
  // }
}
.btn--select_assay {
  display: inline-block;
  // color: black;
  // background-color: white;
  // font-size: 11pt;
  // margin-left: 0;
  // border-radius: 5pt;
  // margin-bottom: 1em;
  // width: 100%;
  // white-space: normal;
  // word-wrap: break-word;
  // @extend .light-box-shadow;
  // &:hover {
  //   @extend .lighter-box-shadow;
  // }
  // &:active {
  //   background: $select_fill-color;
  // }
}


.btn--edit {

  display: inline-block;
  text-align: center;
  margin: 0 auto;
  color: black;
  font-weight: 100;
  font-size: 14pt;
  padding: 0.2em;
  border: 1pt solid white;
  border-radius: 2pt;
  background-color: white;
  opacity: 0.6;
  &:hover {
    opacity: 1;
  }
}
.btn--apply {
  display: inline-block;
  text-align: center;
  bottom: 0;
  color: black;
  margin: 0 auto;
  font-weight: 100;
  font-size: 11pt;
  padding: 0.2em;
  border: 1pt solid white;
  border-radius: 2pt;
  background-color: white;
  opacity: 0.6;
  &:hover {
    opacity: 1;
  }
}
///////////// series styles /////////////


.btn--biosample {
  @include btn($series-color, $biosample-color);
  @extend .box-shadow;
  margin-bottom: 5px;
}

.input_label{
  margin-right: 1em;
  font-weight: bold;
}


#series_type_label{
  width: 9.2em;
}



///////////// biosample styles /////////////
.btn--assay {
  @include btn($biosample-color, $assay-color);
  margin-bottom: 5px;
}

///////////// assay styles /////////////
.btn--appliedAssay {
  @include btn($assay-color, $appliedAssay-color);
  margin-bottom: 5px;
}

///////////// applied assay styles /////////////
.btn--sequencing {
  @include btn($appliedAssay-color, $sequencing-color);
  margin-bottom: 5px;
}

///////////// sequencing styles /////////////
.btn--data {
  @include btn($sequencing-color, $data-color);
  margin-bottom: 5px;
}

///////////// data styles /////////////
.btn--submit {
  @include btn($data-color, $data-color);
  margin-bottom: 5px;
}


// #series_type_div {
//   display: flex;
//   justify-direction: row;
// }
// #series_public_div {
//   display: flex;
//   justify-direction: row;
// }

label {
  display: inline-block;
  padding-right: 1em;
  text-align: left;
}

#series h2 {
  background: $series-color;
}
#biosample h2 {
  background: $biosample-color;
}
#assay h2 {
  background: $assay-color;
}
#appliedAssay h2 {
  background: $appliedAssay-color;
}
#sequencing h2 {
  background: $sequencing-color;
}
#data h2 {
  background: $data-color;
}
#series_protocol {
  width: 400px;
  text-align: left;
}
#series_protocol_div {
  margin-top: 0.75em;
}
#series {
  @extend .box-shadow;
}
#biosample {
  @extend .box-shadow;
}
#assay {
  @extend .box-shadow;
}
#appliedAssay {
  @extend .box-shadow;
}
#sequencing {
  @extend .box-shadow;
}
#data {
  @extend .box-shadow;
}
.series_text {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}
#series_div label {
  width: 15em;
  vertical-align: middle;
}
#series_div input[type=text]{
  padding: 0.5em;
}
#series_div {
  padding-left: 3em;
  padding-top: 1em;
  padding-bottom: 2em;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: space-around;
}
#biosample_div {
  display: flex;
  overflow: auto;
  width: 100%;
  height: 100%;
}
#assay_div {
  overflow: auto;
  width: 100%;
  height: 100%;
  max-height: 75vh;
  display: flex;
  flex-wrap: wrap;
}
#appliedAssay_div {
  display: flex;
  overflow: auto;
  width: 100%;
  height: 100%;
}
#sequencing_div {
  display: flex;
  overflow: auto;
  width: 100%;
  height: 100%;
}
#data_div {
  overflow: auto;
  // max-height: 65vh;
  width: 100%;
  height: 100%;
  // line-height: 14pt;
}
.biosample_entry {
  height: 148px;
  width: 240px;
  margin: 0;
  padding: 5px;
  border: 1px solid #dfdfdf;
}

.x_btn img {
  width: 0.6em;
}
.x_btn {
  display: inline-block;
  position: absolute;
  bottom: -0.15em;
  right: 0.2em;
  padding: 0;
  // transform: rotate(45deg);
  font-size: 1.25em;
  border: 0;
  background-color: transparent;
}
.plus_btn {
  position: absolute;
  bottom: -0.3em;
  right: -0.15em;
  font-size: 1.25em;
  transform: rotate(45deg);
  border: 0;
  background-color: transparent;
}

.number_input {
  width: 3em;
}
.time_point_header {
  width: 120px;
}
.select2-container--default {
  width: 200%;
}
.select2-hidden-accessible {
  width: 100%;
  max-width: 10.9em;
}
.container {
  width: 95vw;
  margin: 0 auto;
}
@mixin grid {
  display: flex;
  flex-direction: row;
  // justify-content: space-around;
  // height: 100%;
  // max-height: 75vh;
  min-width: 73vw;
  width: 80%;
  // overflow: auto;
  border-right: 1pt solid white;
  // float: left;
  // padding-top: 2em;
}
#biosample_grid {
  @include grid;
  min-height: 31em;
}
#appliedAssay_grid {
  @include grid;
}
#sequencing_grid {
  @include grid;
  // max-height: 70vh;
}
#data_grid {
  @include grid;
  max-height: 100%;
  // max-height: 65vh;
}
@mixin select {
  display: inline-block;
  padding: 1em;
  float: right;
  height: 100%;
  min-height: 21em;
  z-index: 5;
  // border-left: 2pt solid white;
}
#biosample_select {
  @include select;
}
#biosample_select input {
  margin-top: 0.25em;
  margin-bottom: 0.25em;
}
#appliedAssay_select {
  @include select;
}
#sequencing_select {
  @include select;
}
#data_select {
  @include select;
  min-height: 0;
  border: 0;
}
@mixin cell {
  float: left;
  position: relative;
  border: 1pt solid $cell_border-color;
  min-height: 11em;
  // height: 100%;
  width: $cell-width;
  text-align: center;
}
.biosample_cell {
  @include cell;
}
.appliedAssay_cell {
  @include cell;
}
.sequencing_cell {
  @include cell;
}
.data_cell {
  @include cell;
}
@mixin ui_selected {
  border: 2pt solid $select_stroke-color;
}
@mixin ui_selecting {
  background-color: $select_fill-color;
  border: 2pt solid $select_stroke-color;
}
#biosample_grid .ui-selected {
  @include ui_selected;
}
#biosample_grid .ui-selecting {
  @include ui_selecting;
}
#appliedAssay_grid .ui-selected {
  @include ui_selected;
}
#appliedAssay_grid .ui-selecting {
  @include ui_selecting;
}
#sequencing_grid .ui-selected {
  @include ui_selected;
}
#sequencing_grid .ui-selecting {
  @include ui_selecting;
}
#data_grid .ui-selected {
  @include ui_selected;
}
#data_grid .ui-selecting {
  @include ui_selecting;
}
select.form-control {
  display: inline-block;
  font-weight: bold;
  width: 100%;
  max-width: 12em;
  margin-top: 0.25em;
  margin-bottom: 0.25em;
}
.select2-container--default .select2-selection--single .select2-selection__placeholder {
  color: black;
}
@mixin replicate {
  position: relative;
  bottom: 0;
  // float: left;
  width: $cell-width;
  border: 1pt solid $cell_border-color;
  // border-top: 0;
  // padding: 1em;
}
.biosample_biologicalReplicate {
  @include replicate;
}
.appliedAssay_biologicalReplicate {
  @include replicate;
  & .appliedAssay_assay_div{
    border-top: 1pt solid $cell_border-color;
    &:first-child{
    border-top: 0;
  }
}
}
.sequencing_biologicalReplicate {
  @include replicate;
  & .appliedAssay_assay_div{
    border-top: 1pt solid $cell_border-color;
    &:first-child{
    border-top: 0;
  }
}
}
.data_biologicalReplicate {
  @include replicate;
  // height: 11em;
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-direction: column;
  // flex-wrap:wrap;
  & label {
    margin-bottom: -0.5em;
    width: 95%;
    text-align: left;
  }
}

.technicalReplicate_div{
  border: 1pt solid $cell_border-color;
  border-left: 0;
  border-right: 0;
}

.appliedAssay_assay_div{
  // padding-top: 1em;
  display: flex;
  flex-direction: column;
}

.appliedAssay_assay_row{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  word-wrap: break-word;
  & .number_input{
    margin-left: auto;
    margin-bottom: 0.1em;
  }
}

@mixin wrapper($margin) {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin: $margin;
  // height: 100%;
  width: calc(#{$cell-width} - 2pt);
  border: 1pt solid transparent;
}
.biosample_wrapper {
  @include wrapper(1em);
}
.appliedAssay_wrapper {
  @include wrapper(1em);
}
.sequencing_wrapper {
  @include wrapper(0.5em);
}
.data_wrapper {
  @include wrapper(1em);
  height: 100%;
}
.sequencing_biosample_instance {
  margin: 0.5em;
}
button:focus {
  outline: 0;
}
.btn:focus {
  outline: 0;
}
.replicate_1_title {
  position: absolute;
  width: 100%;
  text-align: center;
  margin-top: 0.5;
  bottom: 0;
  left: 0;
}
.replicate_title {
  display: flex;
  justify-content: center;
  font-weight: 600;
  border-bottom: 1pt solid $cell_border-color;
  // align-items: flex-end;
}
.assay_text {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-wrap: wrap;
  // align-content: space-between;
  min-width: 45em;
  max-width: 50%;
  min-height: 18em;
  height: 100%;
  border: 1pt solid white;
  border-top: 0;
  border-left: 0;
  padding: 1em;
  &>div {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
  }
}

.data_text{
  display: flex;
  flex-direction: column;
  & textarea{
    width: 95%;
    margin: 0 auto;
    margin-bottom: 0.2em;
  }
}

textarea {
  vertical-align: top;
  border-color: #CDCDCD;
  resize: none;
  width: 34em;
}
.assay_target {
  // width: 94%;
  width: 50%;
  // margin: 0.1em;
}
.text {
  border-top: 0;
}
.biosample_text {
  @extend .text;
}
.biosample_description {
  width: 95%;
  margin-bottom: 1.5em;
}
.appliedAssay_text {
  @extend .text;
}
.sequencing_text {
  @extend .text;
  // margin-bottom: 1.5em;
}
.header_title {
  margin-left: auto;
  // margin-right: 1em;
  font-weight: 100;
  text-align: right;
  font-size: 18pt;
  width: 40%;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}
.sticky_label {
  width: 50%;
}
#series_title {
  width: 30em;
}

.grid_subgrid {
  overflow: auto;
  // position: relative;
  min-width: $cell-width + 2em;
  // width: $cell-width + 5em;
  height: 100%;
  max-height: 75vh;
  // line-height: 14pt;
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: stretch;
  align-content: flex-start;
  justify-content: space-around;
  word-wrap: break-word;

  &:nth-child(even) {
    background-color: $subgrid-color;
  }
}
.biosample_grid_subgrid {
  @extend .grid_subgrid;
  max-height: calc(75vh-1.3em);
}
.appliedAssay_grid_subgrid {
  @extend .grid_subgrid;
  max-height: calc(75vh-2.6em);
}
.sequencing_grid_subgrid {
  @extend .grid_subgrid;
  max-height: calc(75vh-3.9em);
}
.data_grid_subgrid {
  @extend .grid_subgrid;
  max-height: calc(75vh-5.2em);
}

#data_grid_subgrid_1{
  width: 100%;
}

[name=control_subgrid]{
  width: $cell_width+2em;
}

.grid_title {
  text-align: center;
  font-weight: bold;
  // background-color: #f3f3f3;
  z-index: 2;
  height: 1.6em;
  width: 100%;
  flex-basis: 100%;
  min-width: $cell-width;
  border-bottom: 1pt solid #CDCDCD;
}
.biosample_subgrid_title {
  @extend .grid_title;
}
.appliedAssay_subgrid_title {
  @extend .grid_title;
}
.sequencing_subgrid_title {
  @extend .grid_title;
}
.data_subgrid_title {
  @extend .grid_title;
}
.biosample_subgrid_title {
  border: 1pt solid #CDCDCD;
  flex-basis: 100%;
  width: $cell-width;
  text-align: center;
  margin-left: 4em;
  margin-right: 4em;
  &:first-child {
    width: $cell-width + 2em;
  }
}
#series_lab_parent {
  height: 3em;
}

.error {
  color: red;
}
#login_div {
  // margin: 0 auto;
  display: flex;
  flex-direction: column;
  align-items: center;
}
#login_btn {
  align-self: center;
  background-color: $primary-color;
}
#series_upload_description_div {
  display: flex;
  flex-direction: row;
}

#success_summary{
  font-size: 16pt;
  text-align: center;
}

.missing {
  border: 1pt solid red;
}
